<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width; initial-scale=1.0">
	<title>Document</title>
</head>
<body>

	<style type="text/css">
	
	/* iPhone 6, 7, & 8 in portrait & landscape */
	@media only screen and (min-device-width : 320px) and (max-device-width : 812px) and (orientation : portrait)
	{
		.container p {
			color: yellow;
		}
	}
	/* iPhone 6, 7, & 8 in landscape */
	@media only screen and (min-device-width : 320px) and (max-device-width : 736px) and (orientation : landscape)
	{
		.container p {
			color: red;
		}
	}

	@media screen and (max-width: 1024px) and (min-width: 768px) {
		.container p {
			color: #000;
		}
	}
	@media screen and (max-width: 768px) and (min-width: 768px) {
		.container p {
			color: grey;
		}
	}

	/* Настольные компьютеры и ноутбуки */
	@media only screen and (min-width : 1224px)
	{
		.container p {
			color: green;
		}
	}
	/*  Большие экраны */
	@media only screen and (min-width : 1824px)
	{
		.container p {
			color: green;
		}
	}
	@media only screen and (min-device-width : 375px) and (max-device-width : 812px) and (-webkit-device-pixel-ratio : 3) and (orientation : landscape)
	{
		.container p {
			color: red;
		}
	}
</style>

<div class="container">
	<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nisi, consequuntur eveniet facere blanditiis beatae repudiandae architecto non quo. Eius temporibus, ipsam quae odio ea, voluptatibus cum numquam id doloribus possimus.</p>
</div>

</body>
</html>